Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 474726 - Split freenx-client package
Summary: Split freenx-client package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freenx-client
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-12-05 00:24 UTC by Warren Togami
Modified: 2009-08-10 21:46 UTC (History)
1 user (show)

Fixed In Version: 0.9-10.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-10 21:46:09 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-12-05 00:24:11 UTC
Please split the freenx-client package into the following:

* qtnx
* nxcl
* nxcl-docs (Or just delete it, it is very rare that anybody needs the API docs, and end-users definitely do not need it.)

Why?

A thin client might want to include an NX client, but it might have limited flash storage onboard.  The API docs would definitely be undesirable, meanwhile they might use a different client that links to nxcl without qt in the image.

Comment 1 Axel Thimm 2009-07-25 17:35:29 UTC
The next package will be split almost that way. Docs will be with nxcl-devel, which a thin client doesn't need to install.

Comment 2 Fedora Update System 2009-07-25 23:05:02 UTC
freenx-client-0.9-10.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-client-0.9-10.fc10

Comment 3 Fedora Update System 2009-07-25 23:05:22 UTC
freenx-client-0.9-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-client-0.9-10.fc11

Comment 4 Fedora Update System 2009-07-27 21:26:57 UTC
freenx-client-0.9-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8008

Comment 5 Fedora Update System 2009-07-27 21:33:30 UTC
freenx-client-0.9-10.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8028

Comment 6 Fedora Update System 2009-08-10 21:45:49 UTC
freenx-client-0.9-10.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-08-10 21:46:33 UTC
freenx-client-0.9-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.